<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title> Rating Search Results</title>
	<style>
	
    body {
        font-size: 16px;
    }

	img {
	    width: 150px;
    }
    
    .container { /* container box for each movie */
        width:300px;
        background-color: white; 
    }
	</style>
</head>
<body>
<?php #Search movies by ratings
#Complete the while loop only; other parts already completed.
include('mysqli_connect_movie.php');

$minrating = $_POST['min_rating'];
$maxrating = $_POST['max_rating'];

$query = "SELECT * FROM movies WHERE rating BETWEEN $minrating AND $maxrating"; #$minrating and $maxrating do not need single quotes because they are numeric values.

echo $query;

$result = mysqli_query($dbc, $query);

$row_count = mysqli_num_rows($result);
echo "<p>In total, <strong>$row_count</strong> movie(s) retrieved.</p>";

mysqli_close($dbc);


while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
    echo "<div class=\"container\">"; #print out CSS code

	echo "Movie title: <b>" . $row['?'] . "</b><br>\n"; //replace ? with your code
	echo "Movie release year: <b>". $row['?'] . "</b><br>\n";//replace ? with your code
	echo "My rating: <b>". $row['rating'] . "</b><br>\n";
	
	$img_link = $row['imagelink']; 
	$img_link_default = "https://nationaltoday.com/wp-content/uploads/2020/01/Popcorn.jpg";
	
	if (filter_var($img_link, FILTER_VALIDATE_URL)){
	    echo "<img src=\"$img_link\">"; #Check if the stored link in the database is a valid URL. Source: textbook page 438, https://www.w3schools.com/php/filter_validate_url.asp
	} else {
	    echo "<img src=\"$img_link_default\">";
	}
	echo "</div>"; #print out CSS code
    echo "<br><br>";
}


echo "<br> Search finished. <br>";
?>

</body>
</html>