<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title> Genre Search Results</title>
	<style>
	
    body {
        font-size: 16px;
    }

	img {
	    width: 150px;
    }

    .container { /* container box for each movie */
        width:300px;
        background-color: white;
    }
    
	</style>
</head>
<body>

<?php #Search movies by genre
#NOTE: The PHP code here is already complete. 
#To make the search form work, modify the third HTML form in the form_searchmovie.php 
include('mysqli_connect_movie.php');

$genre = $_POST['genre'];

$query = "SELECT * FROM movies WHERE genre = '$genre'"; //single quotes must be  surround the variable $genre because it is a text/string value  

echo $query;

$result = mysqli_query($dbc, $query);

$row_count = mysqli_num_rows($result);
echo "<p>In total, <strong>$row_count</strong> movie(s) retrieved.</p>";

mysqli_close($dbc);

while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
    echo "<div class=\"container\">"; #print out CSS code

	echo "Movie title: <b>" . $row['title'] . "</b><br>\n";
	echo "Movie release year: <b>". $row['year'] . "</b><br>\n";
	echo "My rating: <b>". $row['rating'] . "</b><br>\n";
	
	$img_link = $row['imagelink']; 
	$img_link_default = "https://nationaltoday.com/wp-content/uploads/2020/01/Popcorn.jpg";
	
	if (filter_var($img_link, FILTER_VALIDATE_URL)){
	    echo "<img src=\"$img_link\">"; #Check if the stored link in the database is a valid URL. Source: textbook page 438, https://www.w3schools.com/php/filter_validate_url.asp
	} else {
	    echo "<img src=\"$img_link_default\">";
	}
	echo "</div>"; #print out CSS code
    echo "<br><br>";
}
echo "<br> Search finished. <br>";
?>
</body>
</html>